package processor

import (
	"ems.agt/src/framework/cron"
	"ems.agt/src/modules/crontask/processor/backupEtcFromNE"
	"ems.agt/src/modules/crontask/processor/delExpiredNeBackup"
	"ems.agt/src/modules/crontask/processor/deleteExpiredRecord"
	monitorsysresource "ems.agt/src/modules/crontask/processor/monitor_sys_resource"
)

// InitCronQueue 初始定时任务队列
func InitCronQueue() {
	// 监控-系统资源
	cron.CreateQueue("monitor_sys_resource", monitorsysresource.NewProcessor)
	// delete expired NE backup file
	cron.CreateQueue("delExpiredNeBackup", delExpiredNeBackup.NewProcessor)
	cron.CreateQueue("deleteExpiredRecord", deleteExpiredRecord.NewProcessor)
	cron.CreateQueue("backupEtcFromNE", backupEtcFromNE.NewProcessor)
}
